Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000929Frama-CKernelpublic2011-08-18 17:272014-03-13 15:57
Reporterinti 
Assigned Tovirgile 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0000929: syntax error in value binary assignment
DescriptionI am developing a microcontroller, My code is like this assignment:

LPC_IOCON->PIO0_1=0b00000000000000000000000000000000;

and all of this kind of assignment cause this error in frama-c value analysis

[kernel] preprocessing with "gcc -C -E -I. peripheral-gpio.c"
peripheral-gpio.c:28:[kernel] user error: syntax error
[kernel] user error: skipping file "peripheral-gpio.c" that has errors.

I think the problem is the binary value because when I assign a integer or hexa value the problem disappear.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002149)
pascal (reporter)
2011-08-18 20:41

I have reclassified the issue as "feature wish". I understand that this is bothersome and prevents further work with Frama-C, but binary literals are not part of C99. Compilers that parse it do it as an extension.

You could try to use a script to translate the binary constants to hexadecimal constants in the source code before passing it to Frama-C. Alternately, this extension can also be implemented and we can offer individual support for a fee, if you are confident that Frama-C would be useful to you if it parsed binary constants.
(0004298)
yakobowski (manager)
2013-11-20 10:02

Fixed in commit 24486.

- Issue History
Date Modified Username Field Change
2011-08-18 17:27 inti New Issue
2011-08-18 20:41 pascal Note Added: 0002149
2011-08-18 20:41 pascal Severity block => feature
2011-08-24 18:49 signoles Status new => acknowledged
2012-03-22 10:57 signoles Status acknowledged => assigned
2012-03-22 10:57 signoles Assigned To => virgile
2013-11-20 10:02 yakobowski Note Added: 0004298
2013-11-20 10:02 yakobowski Status assigned => resolved
2013-11-20 10:02 yakobowski Resolution open => fixed
2014-03-13 15:56 signoles Fixed in Version => Frama-C Neon-20140301
2014-03-13 15:57 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker